<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'blocks',

    /*
     * Modules.
     */
    'modules'   => ['block', 
'category'],


    'block'       => [
        'model'             => 'Litecms\Blocks\Models\Block',
        'table'             => 'blocks',
        'presenter'         => \Litecms\Blocks\Repositories\Presenter\BlockItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'category_id',  'name',  'url',  'icon',  'order',  'description',  'image',  'images',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
        'translate'         => ['id',  'category_id',  'name',  'url',  'icon',  'order',  'description',  'image',  'images',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],

        'upload-folder'     => '/uploads/blocks/block',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'category'       => [
        'model'             => 'Litecms\Blocks\Models\Category',
        'table'             => 'categories',
        'presenter'         => \Litecms\Blocks\Repositories\Presenter\CategoryItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'name',  'slug',  'title',  'details',  'status',  'user_type',  'user_id',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
        'translate'         => ['id',  'name',  'slug',  'title',  'details',  'status',  'user_type',  'user_id',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],

        'upload-folder'     => '/uploads/blocks/category',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
