@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('blocks::block.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('blocks::block.names') !!}</small>
@stop

@section('title')
{!! trans('blocks::block.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('blocks::block.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='blocks-block-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="blocks-block-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('blocks::block.label.category_id')!!}</th>
                    <th>{!! trans('blocks::block.label.name')!!}</th>
                    <th>{!! trans('blocks::block.label.url')!!}</th>
                    <th>{!! trans('blocks::block.label.description')!!}</th>
                    <th>{!! trans('blocks::block.label.image')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#blocks-block-entry', '{!!URL::to('admin/blocks/block/0')!!}');
    oTable = $('#blocks-block-list').dataTable( {
        "ajax": '{!! URL::to('/admin/blocks/block') !!}',
        "columns": [
            {data :'category_id'},
                    {data :'name'},
                    {data :'url'},
                            {data :'description'},
                    {data :'image'},
        ],
        "pageLength": 50
    });

    $('#blocks-block-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#blocks-block-list').DataTable().row( this ).data();

        $('#blocks-block-entry').load('{!!URL::to('admin/blocks/block')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

