@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Blocks </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/blocks/block/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Block</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('blocks::block.label.category_id')!!}</th>
                    <th>{!! trans('blocks::block.label.name')!!}</th>
                    <th>{!! trans('blocks::block.label.url')!!}</th>
                    <th>{!! trans('blocks::block.label.description')!!}</th>
                    <th>{!! trans('blocks::block.label.image')!!}</th>
                    <th width="150">{!! trans('blocks::block.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($blocks as $block)
                <tr>
                    <td>{{ $block->category_id }}</td>
                    <td>{{ $block->name }}</td>
                    <td>{{ $block->url }}</td>
                    <td>{{ $block->description }}</td>
                    <td>{{ $block->image }}</td>
                    <td><span class="label status-{{ $block->status }}"> {{ $block->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/blocks/block/{!! $block->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/blocks/block/{!! $block->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/blocks/block/{!! $block->getRouteKey() !!}" 
                            href="trans_url('/user')/blocks/block/{!! $block->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $blocks->links() }}
</div>